import {url} from '../../request'
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const that  = this
    wx.getStorage({
      key: "logmessage",
      success(res) {
        const userinfo =  res.data.Authorization
        wx.request({
          url: url + '/userInfo/get/main/jwt',
          method: 'GET',
          data: {
            
          },
          header: {
            'content-type': 'application/json',
            'Authorization': userinfo
          },
          success(res) {
            console.log('查询成功', res);
            that.setData({
              picture:res.data.inviteQrCode
            })
          },
          fail(err) {
            console.error('请求失败', err);
          }
        });
      }
    })
    console.log("页面展示 onShow");
    try {
      const userInfo = wx.getStorageSync('usermessage');
      console.log('用户信息:', userInfo);
      this.setData({
        nickName: userInfo.nickName || '',
        phoneNumber: userInfo.phoneNumber || '',
        invitationCode: userInfo.invitationCode || '',
        userAvatar: userInfo.userAvatar || 'https://tse2-mm.cn.bing.net/th/id/OIP-C.jHUH4s7TQ48X_B-1iozuJgHaHa?w=207&h=207&c=7&r=0&o=5&dpr=1.5&pid=1.7'
      });
    } catch (e) {
      console.error('读取缓存失败:', e);
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})